
QGIS Application - Bug report #9524

Special character & in plugin authors prevent downloading

2014-02-10 02:21 AM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18114

Description

If a plugin's author string contains a "&" character in metedata, installation from the plugin manager will fail.

I did not test with other info (title, description, etc.)

Associated revisions

Revision 88e8f9d6 - 2014-02-18 05:01 PM - Borys Jurgiel

[Plugin Installer] More robust xml parsing: fix lonely ampersands. Fixes #9524

History

#1 - 2014-02-18 08:02 AM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"88e8f9d6b6f05cbda44eea2c4d925170e82342eb".

#2 - 2014-02-18 08:53 AM - Borys Jurgiel

Here you have a fast workaround. The long-term solution should be implemented on the repository side, see: #9595
